package com.ruoyi.project.sems.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 特种设备安全阀台账对象 t_specdev_aqf
 *
 * @author ruoyi
 * @date 2022-09-28
 */
public class TSpecdevAqf extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    private Long mainId;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    /** 位号 */
    @Excel(name = "位号")
    private String devno;

    /** P&ID图号 */
    @Excel(name = "P&ID图号")
    private String pidNo;

    /** 描述 */
    @Excel(name = "描述")
    private String describe;

    /** 介质 */
    @Excel(name = "介质")
    private String medium;

    /** 介质相态 */
    @Excel(name = "介质相态")
    private String mediumPhase;

    /** 从 */
    @Excel(name = "从")
    private String starting;

    /** 到 */
    @Excel(name = "到")
    private String arrive;

    /** 生产厂家 */
    @Excel(name = "生产厂家")
    private String manufacturer;

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 出厂编号 */
    @Excel(name = "出厂编号")
    private String factoryNo;

    /** 阀类型 */
    @Excel(name = "阀类型")
    private String valveType;

    /** 数据表 */
    @Excel(name = "数据表")
    private String datasheet;

    /** 计算书 */
    @Excel(name = "计算书")
    private String calculationBook;

    /** Free Orifice Selected Area mm2 */
    @Excel(name = "Free Orifice Selected Area mm2")
    private String selectedArea;

    /** Senarios(design case bold) */
    @Excel(name = "Senarios(design case bold)")
    private String senarios;

    /** Required relieving capacity */
    @Excel(name = "Required relieving capacity")
    private String requiredRelieving;

    /** Rated relieving  capacity (Kg/hr) */
    @Excel(name = "Rated relieving  capacity (Kg/hr)")
    private String ratedRelieving;

    /** 入口尺寸 */
    @Excel(name = "入口尺寸")
    private String inletSize;

    /** 入口垫片压力等级 */
    @Excel(name = "入口垫片压力等级")
    private String pressureRating;

    /** 出口尺寸 */
    @Excel(name = "出口尺寸")
    private String outSize;

    /** 出口垫片压力等级 */
    @Excel(name = "出口垫片压力等级")
    private String outPressureRating;

    /** 设定压力 */
    @Excel(name = "设定压力")
    private String setPressure;

    /** 背压 */
    @Excel(name = "背压")
    private String backPressure;

    /** 是否强检 */
    @Excel(name = "是否强检")
    private String isInspection;

    /** 本次校验日期 */
    @Excel(name = "本次校验日期")
    private String warnDate;

    /** 下次校验日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "下次检验日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nextWarnDate;

    /** 是否需要脚手架 */
    @Excel(name = "是否需要脚手架")
    private String needScaffold;

    /** 保温 */
    @Excel(name = "保温")
    private String keepWarm;

    /** 吊机 */
    @Excel(name = "吊机")
    private String crane;

    /** 提交日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "提交日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date submitdate;

    /** 状态 */
    private Long status;

    /** 状态 0 ：正常 ；-1：删除 */
    private Long delFlag;

    /** 创建人 */
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date createdate;

    /** 修改人 */
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;
    
    @Excel(name = "检验状态")
    private String checkStatus;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 审核状态 */
    private Long approveStatus;


    /** 中文名 */
    //@Excel(name = "中文名")
    private String devName;

    /** 英文名 */
   // @Excel(name = "英文名")
    private String devEnname;

    /** 是否在PID上 */
    //@Excel(name = "是否在PID上")
    private String isPid;


    /** 安装位置 */
  //  @Excel(name = "安装位置")
    private String installPosition;

    /** 功能位置 */
  //  @Excel(name = "功能位置")
    private String funcPosition;

    /** 资产号 */
  //  @Excel(name = "资产号")
    private String assetNo;

    /** 安全相关 */
 //   @Excel(name = "安全相关")
    private String securityRelevant;

    /** 安全相关来自于 */
  //  @Excel(name = "安全相关来自于")
    private String securityRelevantFrom;


    /** 生产年份 */
  //  @Excel(name = "生产年份")
    private String productionYear;


    /** 主要规格参数 */
  //  @Excel(name = "主要规格参数")
    private String mainSpecifications;

    /** 设备铭牌 */
  //  @Excel(name = "设备铭牌")
    private String dataPlate;

    /** 最新申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date approveTime;

    /** 状态修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date changeTime;

    private String fuzzy;

    public Long getMainId() {
        return mainId;
    }

    public void setMainId(Long mainId) {
        this.mainId = mainId;
    }

    public String getFuzzy() {
        return fuzzy;
    }

    public void setFuzzy(String fuzzy) {
        this.fuzzy = fuzzy;
    }

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setDevno(String devno)
    {
        this.devno = devno;
    }

    public String getDevno()
    {
        return devno;
    }
    public void setPidNo(String pidNo)
    {
        this.pidNo = pidNo;
    }

    public String getPidNo()
    {
        return pidNo;
    }
    public void setDescribe(String describe)
    {
        this.describe = describe;
    }

    public String getDescribe()
    {
        return describe;
    }
    public void setMedium(String medium)
    {
        this.medium = medium;
    }

    public String getMedium()
    {
        return medium;
    }
    public void setMediumPhase(String mediumPhase)
    {
        this.mediumPhase = mediumPhase;
    }

    public String getMediumPhase()
    {
        return mediumPhase;
    }
    public void setStarting(String starting)
    {
        this.starting = starting;
    }

    public String getStarting()
    {
        return starting;
    }
    public void setArrive(String arrive)
    {
        this.arrive = arrive;
    }

    public String getArrive()
    {
        return arrive;
    }
    public void setManufacturer(String manufacturer)
    {
        this.manufacturer = manufacturer;
    }

    public String getManufacturer()
    {
        return manufacturer;
    }
    public void setModel(String model)
    {
        this.model = model;
    }

    public String getModel()
    {
        return model;
    }
    public void setFactoryNo(String factoryNo)
    {
        this.factoryNo = factoryNo;
    }

    public String getFactoryNo()
    {
        return factoryNo;
    }
    public void setValveType(String valveType)
    {
        this.valveType = valveType;
    }

    public String getValveType()
    {
        return valveType;
    }
    public void setDatasheet(String datasheet)
    {
        this.datasheet = datasheet;
    }

    public String getDatasheet()
    {
        return datasheet;
    }
    public void setCalculationBook(String calculationBook)
    {
        this.calculationBook = calculationBook;
    }

    public String getCalculationBook()
    {
        return calculationBook;
    }
    public void setSelectedArea(String selectedArea)
    {
        this.selectedArea = selectedArea;
    }

    public String getSelectedArea()
    {
        return selectedArea;
    }
    public void setSenarios(String senarios)
    {
        this.senarios = senarios;
    }

    public String getSenarios()
    {
        return senarios;
    }
    public void setRequiredRelieving(String requiredRelieving)
    {
        this.requiredRelieving = requiredRelieving;
    }

    public String getRequiredRelieving()
    {
        return requiredRelieving;
    }
    public void setRatedRelieving(String ratedRelieving)
    {
        this.ratedRelieving = ratedRelieving;
    }

    public String getRatedRelieving()
    {
        return ratedRelieving;
    }
    public void setInletSize(String inletSize)
    {
        this.inletSize = inletSize;
    }

    public String getInletSize()
    {
        return inletSize;
    }
    public void setPressureRating(String pressureRating)
    {
        this.pressureRating = pressureRating;
    }

    public String getPressureRating()
    {
        return pressureRating;
    }
    public void setOutSize(String outSize)
    {
        this.outSize = outSize;
    }

    public String getOutSize()
    {
        return outSize;
    }
    public void setOutPressureRating(String outPressureRating)
    {
        this.outPressureRating = outPressureRating;
    }

    public String getOutPressureRating()
    {
        return outPressureRating;
    }
    public void setSetPressure(String setPressure)
    {
        this.setPressure = setPressure;
    }

    public String getSetPressure()
    {
        return setPressure;
    }
    public void setBackPressure(String backPressure)
    {
        this.backPressure = backPressure;
    }

    public String getBackPressure()
    {
        return backPressure;
    }
    public void setIsInspection(String isInspection)
    {
        this.isInspection = isInspection;
    }

    public String getIsInspection()
    {
        return isInspection;
    }
    public void setWarnDate(String warnDate)
    {
        this.warnDate = warnDate;
    }

    public String getWarnDate()
    {
        return warnDate;
    }
    public void setNextWarnDate(Date nextWarnDate)
    {
        this.nextWarnDate = nextWarnDate;
    }

    public Date getNextWarnDate()
    {
        return nextWarnDate;
    }
    public void setNeedScaffold(String needScaffold)
    {
        this.needScaffold = needScaffold;
    }

    public String getNeedScaffold()
    {
        return needScaffold;
    }
    public void setKeepWarm(String keepWarm)
    {
        this.keepWarm = keepWarm;
    }

    public String getKeepWarm()
    {
        return keepWarm;
    }
    public void setCrane(String crane)
    {
        this.crane = crane;
    }

    public String getCrane()
    {
        return crane;
    }
    public void setSubmitdate(Date submitdate)
    {
        this.submitdate = submitdate;
    }

    public Date getSubmitdate()
    {
        return submitdate;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }
    public void setApproveTime(Date approveTime)
    {
        this.approveTime = approveTime;
    }

    public Date getApproveTime()
    {
        return approveTime;
    }
    public void setChangeTime(Date changeTime)
    {
        this.changeTime = changeTime;
    }

    public Date getChangeTime()
    {
        return changeTime;
    }

    public String getDevName() {
        return devName;
    }

    public void setDevName(String devName) {
        this.devName = devName;
    }

    public String getDevEnname() {
        return devEnname;
    }

    public void setDevEnname(String devEnname) {
        this.devEnname = devEnname;
    }

    public String getIsPid() {
        return isPid;
    }

    public void setIsPid(String isPid) {
        this.isPid = isPid;
    }

    public String getInstallPosition() {
        return installPosition;
    }

    public void setInstallPosition(String installPosition) {
        this.installPosition = installPosition;
    }

    public String getFuncPosition() {
        return funcPosition;
    }

    public void setFuncPosition(String funcPosition) {
        this.funcPosition = funcPosition;
    }

    public String getAssetNo() {
        return assetNo;
    }

    public void setAssetNo(String assetNo) {
        this.assetNo = assetNo;
    }

    public String getSecurityRelevant() {
        return securityRelevant;
    }

    public void setSecurityRelevant(String securityRelevant) {
        this.securityRelevant = securityRelevant;
    }

    public String getSecurityRelevantFrom() {
        return securityRelevantFrom;
    }

    public void setSecurityRelevantFrom(String securityRelevantFrom) {
        this.securityRelevantFrom = securityRelevantFrom;
    }

    public String getProductionYear() {
        return productionYear;
    }

    public void setProductionYear(String productionYear) {
        this.productionYear = productionYear;
    }

    public String getMainSpecifications() {
        return mainSpecifications;
    }

    public void setMainSpecifications(String mainSpecifications) {
        this.mainSpecifications = mainSpecifications;
    }

    public String getDataPlate() {
        return dataPlate;
    }

    public void setDataPlate(String dataPlate) {
        this.dataPlate = dataPlate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("devno", getDevno())
            .append("pidNo", getPidNo())
            .append("describe", getDescribe())
            .append("medium", getMedium())
            .append("mediumPhase", getMediumPhase())
            .append("starting", getStarting())
            .append("arrive", getArrive())
            .append("manufacturer", getManufacturer())
            .append("model", getModel())
            .append("factoryNo", getFactoryNo())
            .append("valveType", getValveType())
            .append("datasheet", getDatasheet())
            .append("calculationBook", getCalculationBook())
            .append("selectedArea", getSelectedArea())
            .append("senarios", getSenarios())
            .append("requiredRelieving", getRequiredRelieving())
            .append("ratedRelieving", getRatedRelieving())
            .append("inletSize", getInletSize())
            .append("pressureRating", getPressureRating())
            .append("outSize", getOutSize())
            .append("outPressureRating", getOutPressureRating())
            .append("setPressure", getSetPressure())
            .append("backPressure", getBackPressure())
            .append("isInspection", getIsInspection())
            .append("warnDate", getWarnDate())
            .append("nextWarnDate", getNextWarnDate())
            .append("needScaffold", getNeedScaffold())
            .append("keepWarm", getKeepWarm())
            .append("crane", getCrane())
            .append("submitdate", getSubmitdate())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("approveStatus", getApproveStatus())
            .append("approveTime", getApproveTime())
            .append("changeTime", getChangeTime())
            .toString();
    }
}
